[solved] Unable to use fglrx

Screen resolution, 3D Acceleration, nVidia, ATI
Forum rules
Before you post please read this
vichenze
Level 1
Level 1
Posts: 3
Joined: Sun Oct 01, 2017 2:38 pm

[solved] Unable to use fglrx

Postby vichenze » Sat Oct 14, 2017 1:28 pm

Hello,

I have a HD 7850 GPU and I'm running Mint 17. I used fglrx with success in the past, but I don't know what happened, I can't use it anymore.
I can still select it in the specific drivers window, but when I reboot, after login, I have a message saying "Cinnamon has crashed. Would you like to use the safe mode ?" (it's a translation, English message could be a bit different). The message continues to be shown until I press "No".

I tried anyway to do

Code: Select all

$ glxinfo | grep Rendering
X Error of failed request:  BadRequest (invalid request code or no such operation)
  Major opcode of failed request:  157 (ATIFGLEXTENSION)
  Minor opcode of failed request:  66 ()
  Serial number of failed request:  13
  Current serial number in output stream:  13


The only solution I have is to uninstall totally fglrx so I got switch back to open driver.

How can I solve this problem ?

Thanks !
Last edited by vichenze on Sun Oct 15, 2017 5:29 am, edited 1 time in total.

Citizen229
Level 5
Level 5
Posts: 662
Joined: Fri Nov 04, 2016 12:09 pm
Location: NW Ohio

Re: Unable to use fglrx

Postby Citizen229 » Sat Oct 14, 2017 3:27 pm

Default Kernal? 17.3?
Folding@home Project
Team Linux Mint-76140
PM for info on how you can help. Or visit https://forums.linuxmint.com/viewtopic.php?f=58&t=243792
More GPU's needed!

vichenze
Level 1
Level 1
Posts: 3
Joined: Sun Oct 01, 2017 2:38 pm

Re: Unable to use fglrx

Postby vichenze » Sat Oct 14, 2017 6:06 pm

Mint 17 Qiana
Kernel 4.8.0

mr_raider
Level 6
Level 6
Posts: 1218
Joined: Sun Jun 20, 2010 9:50 am
Location: Montreal, QC

Re: Unable to use fglrx

Postby mr_raider » Sat Oct 14, 2017 10:42 pm

vichenze wrote:Mint 17 Qiana
Kernel 4.8.0


Go back to 4.4. I doubt fglrx can be built on such a new kernel. I thought it only worked until 3.19.
Image

vichenze
Level 1
Level 1
Posts: 3
Joined: Sun Oct 01, 2017 2:38 pm

Re: Unable to use fglrx

Postby vichenze » Sun Oct 15, 2017 5:29 am

That's it, it works with 4.4 kernel !
Thanks


Return to “Graphic Cards & Monitors”